<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TallySettings extends Model
{
    protected $dates                  = [''];
    protected $table                  = 'tally_settings';
    protected $connection             = 'ecommerce';
    protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    public static function fetchTallySingleData($column, $value)
    {
        $TallySettingsObj = TallySettings::select('tally_settings.*')->where('tally_settings.' . $column, $value)->where('deleted_at', null)->first();

        return $TallySettingsObj;
    }
}
