<?php

namespace App\Models;

use App\Helpers\Helper;
use Illuminate\Database\Eloquent\Model;

class Tallysummaryaccmappinglog extends Model
{
    protected $connection             = 'tally';
    protected $dates                  = [''];
    protected $table                  = 'tally_summary_acc_mapping_log';
    protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    public static function insertAccountMappingData($tallyConnected, $tallySyncSetting, $summary_id, $account_mapping){        
        //If entry already exist in database then soft delete that entry
        Tallysummaryaccmappinglog::where('seller_id', $tallyConnected['seller_id'])->where('module', $tallyConnected['module'])->where('summary_id', $summary_id)->whereNull('deleted_at')->update(['deleted_at'=>date('Y-m-d G:i:s')]);

        // Insert new entry into databse
        $accountMappingLogObj = New Tallysummaryaccmappinglog();
        $accountMappingLogObj->seller_id = $tallyConnected['seller_id'];
        $accountMappingLogObj->module = $tallyConnected['module'];
        $accountMappingLogObj->summary_id = $summary_id;
        $accountMappingLogObj->account_settings = json_encode($account_mapping);
        $accountMappingLogObj->save();
    }
}
