<?php

namespace App\Models;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class Tallysummarysettings extends Model
{
    protected $connection             = 'ecommerce';
    protected $dates                  = [''];
    // protected $table                  = 'tally_summary_sync_settings';
    protected $table                  = 'tally_summary_setting';
    // protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    public static function getSummarySyncSettings($seller_id)
    {
        return Tallysummarysettings::where('seller_id', $seller_id)->where('status', 'Active')->first()->toArray();
    }
}
