<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Http\Request;
use App\Http\Controllers\Common\TallylibraryController;
use App\Http\Controllers\AccountsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::controller(TallylibraryController::class)->group(function () {
    //Route::get('/summary/{id}', 'index');
    Route::get('/connect', 'connect');
    //Route::post('/summary', 'store');
    Route::post('/tallyResponse', 'tallyResponse');

});
Route::controller(AccountsController::class)->group(function () {
    //Route::get('/summary/{id}', 'index');
    Route::get('/getAccounts', 'getAccounts');
    Route::get('/createAccounts', 'createAccounts');
});
