<?php

namespace App\Http\Controllers\Common;

use App\Models\Accounts;
use App\Http\Controllers\Controller;
use App\Models\Apierrorlog;
use App\Models\Tallycompany;
use Illuminate\Http\Request;
use App\Models\TallyConnection;
use App\Http\Traits\Item;
use App\Http\Traits\Requestresponse;
use Log;

class ItemController extends Controller
{
    use Item;
    use Requestresponse;
    public function getItems(Request $request)
    {
        $data = [];
        $seller_id = $request->seller_id;
        $connectionDetails = TallyConnection::checkTallyConnection($seller_id, $request->module);
        if(!empty($connectionDetails)){
            $ident = "ItemCollection-".$connectionDetails->seller_id;
             list($reqDataArry,$extraData) = $this->getItemXml($connectionDetails,array(),array(),'','','all');
            
            $response = $this->tallyApi($connectionDetails,$ident,"ItemCollection",$reqDataArry,$extraData);
            
            if($response->success){

            }
            $data = $this->handleResponse($response);
        }else{
            $data['success'] = false;
            $data['message'] = "Tally not connected";
            $code= 401;
        }
        return $data;
    }
    
}
