<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TallyDdraftSettings extends Model
{
    protected $dates                  = [''];
    protected $table                  = 'tally_settings_draft';
    protected $connection             = 'ecommerce';
    protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    public static function updateFlag($seller_id, $module)
    {
        $data = TallyDdraftSettings::where('seller_id' ,$seller_id)->where('module', $module)->first();
        if(!empty($data)){
            TallyDdraftSettings::where('seller_id' , $seller_id)->where('module', $module)->update(['account_flag' => 1]);
        }
    }
}
