<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tallycompany extends Model
{
    protected $connection             = 'tally';
    protected $dates                  = [''];
    protected $table                  = 'tally_companies';
    protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    protected $fillable = ['seller_id','module','name','country','vat_dealer_type','config'];

    public static function createCompanyData($data)
    {
        Tallycompany::insert($data);
    }

    public static function deleteAllCompany($seller_id, $module)
    {
        Tallycompany::Where('seller_id',$seller_id)->where('module',$module)->delete();
    }

    public static function updateCompanyData($seller_id, $module, $data)
    {
        TallyConnection::Where('seller_id',$seller_id)->where('module',$module)->where('status',"Active")->update($data);
    }

}
