<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tallyproduct extends Model
{
    protected $connection             = 'tally';
    protected $dates                  = [''];
    protected $table                  = 'tally_product';
    protected $rules                  = array();
    protected $injectUniqueIdentifier = true;

    protected $fillable = ['seller_id','module','sku'];

    public static function checkExistProduct($seller_id,$module,$sku){
     return Tallyproduct::Where('seller_id',$seller_id)->where('module',$module)->where('sku',$sku)->first();   
    }

    public static function createProductData($data)
    {
        Tallyproduct::insert($data);
    }

    public static function updateProductData($seller_id, $module, $data)
    {
        Tallyproduct::Where('seller_id',$seller_id)->where('module',$module)->where('status',"Active")->update($data);
    }
}
